# List seat threads GET https://hublinks.io/rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads List Linkedin threads for a seat. Reference: https://api.hublinks.io/api-reference/inbox/linkedin/threads/list-seat-threads ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads: get: operationId: list-seat-threads summary: List seat threads description: List Linkedin threads for a seat. tags: - >- subpackage_inbox.subpackage_inbox/linkedin.subpackage_inbox/linkedin/threads parameters: - name: account_id in: path required: true schema: type: string - name: seat_id in: path required: true schema: type: string - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Response with status 200 content: application/json: schema: $ref: >- #/components/schemas/Inbox_Linkedin_Threads_List seat threads_Response_200 '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestBadRequestError '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestUnauthorizedError servers: - url: https://hublinks.io components: schemas: RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsGetResponsesContentApplicationJsonSchemaThreadsItems: type: object properties: read: type: boolean type: type: string urn_lp: type: string seat_id: type: string ln_inbox: type: string last_name: type: string ln_degree: type: integer member_id: type: string thread_id: type: string account_id: type: string created_at: type: integer first_name: type: string updated_at: type: integer ln_headline: type: string last_message_at: type: integer required: - read - type - urn_lp - seat_id - ln_inbox - last_name - ln_degree - member_id - thread_id - account_id - created_at - first_name - updated_at - ln_headline - last_message_at title: >- RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsGetResponsesContentApplicationJsonSchemaThreadsItems Inbox_Linkedin_Threads_List seat threads_Response_200: type: object properties: success: type: boolean threads: type: array items: $ref: >- #/components/schemas/RestAccountsAccountIdInboxLinkedinSeatsSeatIdThreadsGetResponsesContentApplicationJsonSchemaThreadsItems last_key: description: Any type required: - success - threads title: Inbox_Linkedin_Threads_List seat threads_Response_200 GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestBadRequestError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestBadRequestError GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestUnauthorizedError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123ThreadsRequestUnauthorizedError securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python Inbox_Linkedin_Threads_List seat threads_example import requests url = "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads" headers = {"X-API-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inbox_Linkedin_Threads_List seat threads_example const url = 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads'; const options = {method: 'GET', headers: {'X-API-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inbox_Linkedin_Threads_List seat threads_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inbox_Linkedin_Threads_List seat threads_example require 'uri' require 'net/http' url = URI("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java Inbox_Linkedin_Threads_List seat threads_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads") .header("X-API-KEY", "") .asString(); ``` ```php Inbox_Linkedin_Threads_List seat threads_example request('GET', 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads', [ 'headers' => [ 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp Inbox_Linkedin_Threads_List seat threads_example using RestSharp; var client = new RestClient("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift Inbox_Linkedin_Threads_List seat threads_example import Foundation let headers = ["X-API-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```